@import 'variables.scss';

// left page
.left-page {
  width: 285px;
  height: 100vh;
  max-height: 100vh;
  margin-right: 29px;
  padding-bottom: 28px;
  background: $white-text-color;

  // style for page
  ul,
  p {
    padding: 0;
    margin: 0;
    list-style-type: none;
  }

  // cover verson
  .cover-verson {
    display: block;
    position: relative;

    // summary ver
    &.summary-ver {
      .top-title {
        display: block;
      }

      // top l page
      .top-l-page {
        .cover-input {
          display: none;
        }
      }

      // second l page
      .second-l-page {
        .cover-input {
          display: none;
        }

        .title-list {
          display: block;
        }

        ::ng-deep.list-summary {
          &.summary {
            display: block;

            mat-list-item {
              .cover-item {
                padding-top: 10px;
              }

              .mat-list-item-content {
                display: block;
              }

              .sub-list {
                .mat-list-item-content {
                  display: flex;
                }
              }
            }
          }
        }
      }

      // bottom btn
      .bottom-btn {
        display: none;
      }

      // click export
      .click-export {
        display: block;
      }
    }

    // edit ver
    &.edit-ver {
      .top-title {
        display: block;
      }

      // top l page
      .top-l-page {
        .cover-input {
          display: none;
        }
      }

      // second l page
      .second-l-page {
        .cover-input {
          display: none;
        }
      }

      // bottom btn
      .bottom-btn {
        display: none;
      }
    }

    &.sample-ver {
      // second l page
      .second-l-page {
        ::ng-deep.list-summary {
          mat-list-item {
            cursor: pointer;
            &:before {
              content: '';
              display: none;
              width: 100%;
              height: 100%;
              background: rgba(0, 110, 210, 0.1);
              position: absolute;
              top: 0;
              left: 0;
              z-index: 10;
            }

            &:hover,
            &.selected {
              &:before {
                display: block;
              }
            }
          }
        }
      }
    }

    .top-title {
      display: none;
      border-bottom: 1px solid #d8d8d8;
    }

    // click title
    .click-title {
      display: flex;
      align-items: center;
      width: 150px;
      padding: 23px 0 29px 13px;
      white-space: nowrap;

      i {
        font-size: 22px;
      }

      .title-page {
        display: block;
        margin-left: 10px;
        font-size: 20px;
        font-weight: 500;
        color: #00162a;
        text-transform: capitalize;
      }
    }

    .sub-name {
      display: block;
      padding: 0 0 20px 15px;
      font-size: 16px;
      color: $real-black;
      text-transform: capitalize;
    }

    .click-export {
      display: none;
      font-size: 14px;
      font-weight: bold;
      color: #205cb9;
      text-transform: capitalize;
      position: absolute;
      top: 29px;
      right: 17px;
    }
  }

  // top l page
  .top-l-page {
    // list electric
    ::ng-deep.list-electric {
      padding-top: 0;
      min-height: 183px;
      max-height: 183px;
      position: relative;

      &.edit-sample {
        max-height: calc(100vh - 83px);
      }

      mat-list-item {
        width: 100%;
        height: 61px;
        border-bottom: 1px solid #d8d8d8;
        cursor: pointer;
        position: relative;

        .mat-list-item-content {
          padding: 0;
        }

        // cover item
        .cover-item {
          width: 100%;
          padding: 0 16px;
          overflow: hidden;

          .name-item {
            display: block;
            width: 100%;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            font-size: 16px;
            font-weight: bold;
            color: $real-black;
            line-height: 21px;

            &::first-letter {
              text-transform: capitalize;
            }
          }

          .blur-name {
            display: block;
            font-size: 14px;
            color: $real-black;

            &::first-letter {
              text-transform: capitalize;
            }
          }
        }

        &:before {
          content: '';
          display: none;
          width: 100%;
          height: 100%;
          background: rgba(0, 110, 210, 0.1);
          position: absolute;
          top: 0;
          left: 0;
          z-index: 10;
        }

        &:hover,
        &.selected {
          &:before {
            display: block;
          }
        }
      }
    }
  }

  // second l page
  .second-l-page {
    .title-list {
      display: none;
      padding: 25px 0 25px 15px;
      font-size: 16px;
      color: $real-black;
      border-bottom: 1px solid #d8d8d8;
      text-transform: capitalize;
    }

    ::ng-deep.list-summary {
      display: none;
      max-height: calc(100vh - 445px);
      padding-top: 0;
      position: relative;

      mat-list-item {
        width: 100%;
        height: 100%;
        position: relative;

        .cover-item {
          padding-top: 10px;
        }

        &.list-item {
          height: auto;

          .mat-list-item {
            height: 41px;
            border-bottom: 1px solid #d8d8d8;

            .mat-list-item-content {
              display: block;
              align-items: center;
              padding: 0 16px 0 39px;
            }
          }
        }

        .mat-list-item-content {
          display: flex;
          padding: 0;
        }

        // cover item
        .cover-item {
          width: 100%;
          height: 61px;
          padding: 10px 16px 0;
          border-bottom: 1px solid #d8d8d8;
          overflow: hidden;

          .name-item {
            display: block;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            font-size: 16px;
            font-weight: bold;
            color: $real-black;
            line-height: 21px;

            &::first-letter {
              text-transform: capitalize;
            }
          }

          .blur-name {
            display: block;
            font-size: 14px;
            color: $real-black;

            &::first-letter {
              text-transform: capitalize;
            }
          }
        }

        .sub-list {
          width: 100%;
          padding-top: 0;

          .mat-list-item {
            &:before {
              content: '';
              display: none;
              width: 100%;
              height: 100%;
              background: rgba(0, 110, 210, 0.1);
              position: absolute;
              top: 0;
              left: 0;
              z-index: 10;
            }

            &:hover,
            &.selected {
              &:before {
                display: block;
              }
            }
          }

          .name-sub {
            display: block;
            width: 100%;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            font-size: 14px;
            color: $real-black;
          }
        }
      }
    }

    &.show-list {
      ::ng-deep.list-summary {
        &.summary {
          display: block;

          mat-list-item {
            .mat-list-item-content {
              display: block;
            }

            .sub-list {
              .mat-list-item-content {
                display: flex;
              }
            }
          }
        }
      }
    }
  }

  // cover input
  .cover-input {
    padding: 0 20px 20px;
    border-bottom: 1px solid #d8d8d8;

    .name-input {
      display: block;
      padding: 23px 0 13px 0;
      font-size: 20px;
      font-weight: 500;
      color: #00162a;
      text-transform: capitalize;
    }

    .input-here {
      width: 100%;
      height: 40px;
      position: relative;
    }

    .click-search {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 40px;
      height: 40px;
      position: absolute;
      top: 0;
      right: 0;

      i {
        font-size: 23px;
      }
    }

    &.summary {
      padding-bottom: 20px;

      .name-input {
        padding: 25px 0 8px 0;
        font-size: 16px;
        font-weight: normal;
        color: $real-black;
      }
    }
  }

  // bottom btn
  .bottom-btn {
    display: flex;
    align-items: center;
    padding: 28px 20px 0;

    .btn-summary {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 167px;
      height: 40px;
      padding: 0;
      font-size: 14px;
      font-weight: bold;
      color: $white-text-color;
      border: none;
      border-radius: 4px;
      background: $primary-color;
      cursor: pointer;
      text-align: center;

      ::ng-deep.mat-button-wrapper {
        line-height: 40px;
      }

      &.btn-reset {
        min-width: 98px;
        color: $primary-color;
        background: transparent;

        ::ng-deep.mat-button-focus-overlay,
        ::ng-deep.mat-button-ripple {
          opacity: 0;
        }
      }

      &[disabled] {
        opacity: 0.5;
      }
    }
  }

  input {
    width: 100%;
    height: 100%;
    font-size: 14px;
    font-weight: 500;
    color: $gray-darker;
    border: none;
    outline: none;
    background: transparent;

    &::-webkit-input-placeholder {
      color: rgba(98, 111, 134, 0.5);
    }

    &::-moz-placeholder {
      color: rgba(98, 111, 134, 0.5);
    }

    &:-ms-input-placeholder {
      color: rgba(98, 111, 134, 0.5);
    }
  }

  // style for input
  ::ng-deepmat-form-field {
    width: 100%;
    height: 100%;
    margin: 0;

    &.input-page {
      .mat-form-field-wrapper {
        .mat-form-field-flex {
          padding-right: 54px;
        }
      }
    }

    .mat-form-field-wrapper {
      height: 100%;
      padding-bottom: 0;
      margin: 0;

      .mat-form-field-flex {
        height: 100%;
        margin: 0;

        .mat-form-field-infix {
          height: 100%;
          display: flex;
          align-items: center;
          background-color: transparent;
          border: none;
          border-radius: 0;
          box-shadow: none;
          padding: 0 !important;
        }
      }
    }

    .mat-form-field-underline {
      display: none;
    }
  }

  ::ng-deep.mat-form-field-appearance-outline {
    .mat-form-field-outline {
      top: 0;
    }
  }
}

::ng-deep.modal-export {
  .mat-dialog-container {
    background: transparent;
    border: 0;
    border-radius: 0;
    box-shadow: none;
    padding: 0;
  }
}
